<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XMobileVoiceMember StructType
 * @subpackage Structs
 */
class XMobileVoiceMember extends AbstractStructBase
{
    /**
     * The userLocale
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $userLocale;
    /**
     * The orderIndex
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $orderIndex;
    /**
     * Constructor method for XMobileVoiceMember
     * @uses XMobileVoiceMember::setUserLocale()
     * @uses XMobileVoiceMember::setOrderIndex()
     * @param string $userLocale
     * @param string $orderIndex
     */
    public function __construct($userLocale = null, $orderIndex = null)
    {
        $this
            ->setUserLocale($userLocale)
            ->setOrderIndex($orderIndex);
    }
    /**
     * Get userLocale value
     * @return string
     */
    public function getUserLocale()
    {
        return $this->userLocale;
    }
    /**
     * Set userLocale value
     * @param string $userLocale
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XMobileVoiceMember
     */
    public function setUserLocale($userLocale = null)
    {
        $this->userLocale = $userLocale;
        return $this;
    }
    /**
     * Get orderIndex value
     * @return string
     */
    public function getOrderIndex()
    {
        return $this->orderIndex;
    }
    /**
     * Set orderIndex value
     * @param string $orderIndex
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XMobileVoiceMember
     */
    public function setOrderIndex($orderIndex = null)
    {
        $this->orderIndex = $orderIndex;
        return $this;
    }
}
